Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class PacketChannel

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.PacketChannel

public class PacketChannel extends Object
Привязка каналов к пакетам.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PacketChannel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getChannelId()`
  `String`
  `getChannelTitle()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getId()`
  `int`
  `getPacketId()`
  `void`
  `setChannelId(int channelId)`
  `void`
  `setChannelTitle(String channelTitle)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date date1)`
  `void`
  `setDateTo(Date date2)`
  `void`
  `setId(int id)`
  `void`
  `setPacketId(int packetId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PacketChannel

    public PacketChannel()

- ## Method Details

  - ### getChannelId

    public int getChannelId()

  - ### setChannelId

    public void setChannelId(int channelId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date date1)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getPacketId

    public int getPacketId()

  - ### setPacketId

    public void setPacketId(int packetId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChannelTitle

    public String getChannelTitle()

  - ### setChannelTitle

    public void setChannelTitle(String channelTitle)